Package: java.util

## Class AbstractCollection

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `String` | `toString()` Returns the string representation of the given collection.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `toString`, `use`, `use`, `use`, `with`, `withTraits`

  - #### Methods inherited from interface java.util.Collection

    `addAll`, `asBoolean`, `asImmutable`, `asSynchronized`, `asType`, `collect`, `collect`, `collect`, `collectAll`, `collectAll`, `collectNested`, `containsAll`, `disjoint`, `eachPermutation`, `find`, `find`, `findAll`, `findAll`, `findResult`, `findResult`, `flatten`, `flatten`, `getAt`, `grep`, `grep`, `groupBy`, `inject`, `inject`, `intersect`, `isCase`, `leftShift`, `multiply`, `plus`, `plus`, `plus`, `removeAll`, `removeAll`, `retainAll`, `retainAll`, `sort`, `split`, `toList`, `toListString`, `toListString`, `toSet`, `unique`, `unique`, `unique`, `unique`, `unique`, `unique`

  - #### Methods inherited from interface java.lang.Iterable

    `any`, `asList`, `collectEntries`, `collectEntries`, `collectEntries`, `collectEntries`, `collectMany`, `collectMany`, `collectNested`, `collectNested`, `combinations`, `combinations`, `count`, `count`, `countBy`, `drop`, `dropWhile`, `each`, `eachCombination`, `eachWithIndex`, `every`, `findResults`, `first`, `flatten`, `flatten`, `getAt`, `groupBy`, `groupBy`, `groupBy`, `join`, `last`, `max`, `max`, `max`, `min`, `min`, `min`, `sort`, `sort`, `sort`, `sort`, `sort`, `sum`, `sum`, `sum`, `sum`, `take`, `takeWhile`, `toList`

- - ### Methods Detail

    - #### public String toString()

      Returns the string representation of the given collection. The string displays the contents of the collection, i.e. `[1, 2, a]`.

      Returns:
        the string representation
      Since:
        1.0
      See Also:
        Collection#toListString()